function private KeyNextWide()
{
	if(( ShiftStat() & 1 ) == 1 )
		SelectWide();
	else
		SelectNext();
}

function private KeyPrevNarrow()
{
	if(( ShiftStat() & 1 ) == 1 )
		SelectNarrow();
	else
		SelectPrev();
}

function private PersorAll()
{
	if(( ShiftStat() & 1 ) == 1 )
		AllInit();
	else
		PersInit();
}

//
//	ファイルメニューのショートカットキー
//
//KeyEvent( Quit, "\x3" );
//KeyEvent( Save, "" );
//KeyEvent( SaveAll, "\x13" );

//
//	面選択メニューのショートカットキー
//
KeyEvent( _SelectAll, "S" );
KeyEvent( DeselectAll, "D" );
KeyEvent( _SelectArea, "s" );
KeyEvent( DeselectArea, "d" );
KeyEvent( SelectInv, "n" );
KeyEvent( _SelectAtr, "a" );
KeyEvent( _SelectAtr, "A" );
KeyEvent( _SelectObj, "o" );
KeyEvent( _SelectObj, "O" );
KeyEvent( KeyNextWide, KEY_ROLLUP );
KeyEvent( KeyPrevNarrow, KEY_ROLLDOWN );

//
//	作成メニューのショートカットキー
//
KeyEvent( _InputVertex, KEY_CLR );
KeyEvent( Polygon, "p" );
KeyEvent( EquilateralPolygon, "e" );
KeyEvent( Rectangle, "h" );
KeyEvent( Ball, "g" );
KeyEvent( RotationBody, "r" );
KeyEvent( Pyramid, "k" );
KeyEvent( StandUp, "u" );
KeyEvent( MakeTube, "T" );

//
//	編集メニューのショートカットキー
//
KeyEvent( Move, "m" );
KeyEvent( Delete, KEY_DEL );
KeyEvent( Separate, "b" );
KeyEvent( Joint, "j" );

//
//	変形のショートカットキー
//
KeyEvent( MoveVertex, "1" );
KeyEvent( AddVertex, "2" );
KeyEvent( DelVertex, "3" );
KeyEvent( MoveEdge, "4" );
KeyEvent( RotateEdge, "5" );
KeyEvent( ScaleEdge, "6" );
KeyEvent( MoveSelect, "7" );
KeyEvent( RotateSelect, "8" );
KeyEvent( ScaleSelect, "9" );

//
//	表示メニューのショートカットキー
//
KeyEvent( SelectZoom, "z" );
KeyEvent( Invisible, "i" );
KeyEvent( Visible, "I" );
KeyEvent( PersorAll, KEY_HOME );

//
//	その他のショートカットキー
//
KeyEvent( _Vertex, "v" );
KeyEvent( BoxNearVertex, "V" );
KeyEvent( _Vertex2, "\x16" );
KeyEvent( ChangeAtr, "\x1" );
KeyEvent( ChangeObj, "\xf" );
